Skip to main content
PATCH
/
ai-agents
/
agent-builder
/
knowledge-base
/
text
/
{uniqueId}
Update Text Entry
curl --request PATCH \
  --url https://{appid}.api-{region}.cometchat.io/v3/ai-agents/agent-builder/knowledge-base/text/{uniqueId} \
  --header 'Content-Type: application/json' \
  --header 'apikey: <api-key>' \
  --data '
{
  "title": "Updated Company Policy Document",
  "text": "This is the updated document content with new policies and procedures..."
}
'
{
  "success": true,
  "message": "<string>",
  "data": {
    "uniqueId": "<string>",
    "title": "<string>",
    "fileName": "<string>",
    "s3Key": "<string>",
    "status": "<string>",
    "vectorizationStatus": "<string>"
  }
}

Authorizations

apikey
string
header
required

API Key with fullAccess scope(i.e. Rest API Key from the Dashboard).

Path Parameters

uniqueId
string
required

Unique text detail ID

Example:

"f47ac10b-58cc-4372-a567-0e02b2c3d479"

Body

application/json
title
string

Title of the text content

Maximum string length: 500
Example:

"Updated Company Policy Document"

text
string

Text content to be processed

Maximum string length: 5000
Example:

"This is the updated document content with new policies and procedures..."

Response

200 - application/json

Text detail updated successfully

success
boolean
message
string
data
object